<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, 'vendors/bootstrap-progressbar/bootstrap-progressbar.min.js');
    loadJS(requireJS, "js/views/member_main.js");
</script>




<!-- top tiles -->
<span th:if="${profileComplete}">
    <!--    <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
                <img th:src="@{/img/wings_logo.png}" alt="WingsMobile" width="185px">
                <img th:src="@{/img/} + ${member.rank.image}" alt="Rango" width="185px">
                <h3 th:if="${member.founder}">
                    <i class="fa fa-star"></i> FOUNDER <i class="fa fa-star"></i>
                </h3>
            </div>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center" th:if="${member.order.status == 'pending'}">
                <h3 class="red" th:text="#{pendingActivation}">Cuenta pendiente de activación</h3>        
            </div>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center" th:if="${member.order.status == 'unpaid'}">
                <h3 class="red" th:text="#{pendingActivation}">Cuenta pendiente de activación</h3>        
            </div>
        </div>
        <br/>-->

    <!--PROMO 2X COVID-19-->
    <div class="row">
        <div class="col-sm-12 col-md-12 col-xs-12 text-center">
            <img src="/img/promo2x.png"/>
            <img src="/img/promoPeru.png"/>
        </div>
    </div>
    <br/>

    <div class="row">
        <div th:replace="members/promo/promoLatamFrag"></div>
        <div th:replace="members/promo/openCountryFragment"></div>
    </div>

    <!--BWN-->
    <div class="row" th:if="${reclaimBwn}" id="reclaim-block">
        <div class="col-sm-12 col-md-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2 th:text="#{claimYourBitwings}">Reclama tus Bitwings</h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <p style="display:inline" th:text="#{correspondBWN}">Te corresponden</p>&nbsp;<strong th:text="${bwnAmount}"></strong>&nbsp;<p style="display:inline" th:text="#{BWNwallet}"> BWN, ingresa tu billetera(wallet) para que sean asignados!</p>
                    <small th:text="#{bitwingsAllocation}">Una vez ingresada, la asignación de BWN puede demorar hasta 72hs</small>
                    <br/>
                    <form class="form-horizontal" id="form-claim">
                        <div class="form-group">
                            <input type="text" class="form-control" name="wallet" id="wallet" placeholder="ej: 0xEAfa188Ac12e331B52E585eA6298F8138e23c0E6"/>
                        </div>
                        <button type="submit" class="btn btn-success action-claim" th:text="#{claim}">Reclamar</button>                 
                    </form>

                    <a href="https://www.youtube.com/watch?v=bD3qZF8MxtQ" target="_blank">
                        <i class="fa fa-external-link"></i>
                        <span th:text="#{InstructionsCreateWallet}">Instrucciones para crear la billetera.</span>
                    </a>
                    <br/>
                    <a href="https://www.myetherwallet.com/" target="_blank">
                        <i class="fa fa-external-link"></i>
                        <!--                        <span th:text="#{MyEtherWallet}">My Ether Wallet</span>-->
                        My Ether Wallet
                    </a>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
    </div>
    <br/>
</div>

<div class="row">
    <div class="col-sm-12 col-md-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2 th:text="#{membershipKits}">Kits de Afiliación</h2>                    
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row dashboard-widget-content" th:each='order,iter : ${orders}'>
                    <strong th:text="${order.orderItem.name}"></strong>
                    <small th:if="${order.installmentNumber != null && order.installmentNumber != 0}" th:text="'Cuota ' + ${order.installmentNumber}"></small>&nbsp;&nbsp;&nbsp;
                    <span th:switch="${order.status}">
                        <span th:case="paid" class="label label-success" th:text="#{${order.status}}"></span>
                        <span th:case="pending" class="label label-danger" th:text="#{${order.status}}"></span>
                        <span th:case="review" class="label label-warning" th:text="#{${order.status}}"></span>
                        <span th:case="shipped" class="label label-info" th:text="#{${order.status}}"></span>  
                        <span th:case="delivered" class="label label-info" th:text="#{${order.status}}"></span>
                        <span th:case="*" class="label label-default" th:text="${order.status}"></span>
                    </span>
                    <a class="btn btn-success btn-sm" th:href="'members/pay/' + ${order.id}" th:if="${order.status != 'paid'}">
                        <i class="fa fa-bank"></i>&nbsp;
                        <!--                        <span th:text="#{pay}">Pagar</span>-->
                        Pagar
                    </a>
                    <!--<a class="btn btn-danger btn-sm action-delete-order" th:attr="data-id=${order.id},data-name=${order.orderItem.name}" 
                       th:if="${order.status != 'paid' && #lists.size(orders) gt 1 && iter.index gt 0 && order.message != null && !#strings.contains(order.message,'Cuota 2') && !#strings.contains(order.message,'Cuota 3') }">
                        <i class="fa fa-remove"></i> Eliminar                        
                    </a>-->
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row" th:if="${not #lists.isEmpty(storeItems)}">
    <div class="col-sm-12 col-md-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2 th:text="#{upgradeYourKit}">Desde aqui puedes hacer el upgrade de tu kit de afiliación</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">

                    <div class="col-sm-6 col-md-6 col-sm-12 col-xs-12">
                        <div class="dashboard_graph">
                            <div class="row x_title">
                                <div class="col-md-12">
                                    <span th:text="#{selectUpgradeKit}">Seleccione upgrade de Kit de afiliación</span>
                                </div>
                            </div>
                            <form class="form-horizontal form-inline">
                                <select class="form-control" id="upgradeSelect">
                                    <option selected="selected" disabled="true" th:text="#{optSelect}"></option>
                                    <option th:each="item : ${storeItems}" th:value="${item.id}" th:text="${item.name}"></option>
                                </select>
                            </form>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-md-6 col-sm-12 col-xs-12" id="upgradeContent"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<br/>



<div class="row">
    <div class="col-sm-12 col-md-12 col-xs-12">
        <div class="dashboard_graph">
            <div class="row x_title">
                <div class="col-md-6">
                    <h3 th:text="#{links}">Enlaces</h3>
                </div>                
            </div>
            <div class="col-sm-12 col-xs-12 bg-white">
                <div>
                    <label th:text="#{members.store}">Tienda</label>
                    <a th:href="'https://wingsmobile.net/store/' + ${member.username}" target="_blank">
                        <i class="fa fa-external-link"></i>                        
                    </a>                    
                    <input type="text" th:value="'https://wingsmobile.net/store/' + ${member.username}" readonly="readonly" class="form-control"/>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>



<br/>
<div class="row">
    <div class="col-sm-4 col-md-4 col-sm-12 col-xs-12">
        <div class="dashboard_graph">
            <div class="row x_title">
                <div class="col-md-6">
                    <h3 th:text="#{rankRating}">Calificación de Rango</h3>
                </div>
                <div class="col-md-6">
                    <button type="button" class="btn btn-success" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-camera"></i> <span th:text="#{viewState}">Ver Estado</span></button>
                </div>
            </div>

            <div class="col-sm-12 col-xs-12 bg-white" th:if="${snap != null}">
                <div>
                    <p th:text="#{nextRank}">Proximo Rango <span th:text="${snap.nextRankName}"></span></p>
                    <div class="project_progress">
                        <div class="progress progress_sm">
                            <div class="progress-bar bg-green" role="progressbar" th:style="'width:' + ${snap.getNextRankPercentage()}"></div>
                        </div>
                        <small class="pull-right" th:text="${snap.getNextRankPercentage() + ' - ' + snap.getNextRankPercentageText()}"></small> 
                    </div>
                </div>
                <br/>
                <div class="dashboard-widget-content">
                    <table class="countries_list">
                        <tbody>
                            <tr>
                                <td th:text="#{rank.pv.kits}"></td>
                                <td class="fs15 fw700 text-right" th:text="${snap.kitsPv}">0</td>
                            </tr>
                            <tr>
                                <td th:text="#{rank.pv.products}"></td>
                                <td class="fs15 fw700 text-right" th:text="${snap.productsPv}">0</td>
                            </tr>
                            <tr>
                                <td th:text="#{rank.pv.services}"></td>
                                <td class="fs15 fw700 text-right" th:text="${snap.servicesPv}">0</td>
                            </tr>
                            <tr>
                                <td th:text="#{rank.pv.personalService}"></td>
                                <td class="fs15 fw700 text-right" th:text="${snap.personalServicePv}">0</td>
                            </tr>
                        </tbody>
                    </table>
                    <br/>
                </div>
            </div>

            <div class="clearfix"></div>
        </div>
    </div>

    <div class="col-sm-4 col-md-4 col-sm-12 col-xs-12">
        <div class="dashboard_graph">
            <div class="row x_title">
                <div class="col-md-6">
                    <h3 th:text="#{bonus}">Bonos</h3>
                </div>                
            </div>
            <div class="col-sm-12 col-xs-12 bg-white">

                <div class="dashboard-widget-content">
                    <table class="countries_list">
                        <tbody>
                            <tr>
                                <td th:text="#{bonus.differential}"></td>
                                <td class="fs15 fw700 text-right" th:text="${diff.getQuantityPayText()}">0</td>
                            </tr>
                            <tr>
                                <td th:text="#{bonus.matching}"></td>
                                <td class="fs15 fw700 text-right" th:text="${match.getQuantityPayText()}">0</td>
                            </tr>
                            <tr>
                                <td th:text="#{bonus.direct}"></td>
                                <td class="fs15 fw700 text-right" th:text="${direct.getTotalText()}">0</td>
                            </tr>
                            <tr>
                                <td th:text="#{bonus.residual}"></td>
                                <td class="fs15 fw700 text-right" th:text="${residual.getTotalText()}">0</td>
                            </tr>
                        </tbody>
                    </table>
                    <br/>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>

    <div class="col-sm-4 col-md-4 col-sm-12 col-xs-12">
        <div class="dashboard_graph">
            <div class="row x_title">
                <div class="col-md-6">
                    <h3 th:text="#{referers}">Referidos</h3>
                </div>                
            </div>
            <div class="col-sm-12 col-xs-12 bg-white">
                <div class="dashboard-widget-content">
                    <table class="countries_list">
                        <tbody>
                            <tr>
                                <td th:text="#{members.referers}"></td>
                                <td class="fs15 fw700 text-right" th:text="${member.children.size()}">0</td>
                            </tr>
                            <tr>
                                <td th:text="#{members.referers.indirect}"></td>
                                <td class="fs15 fw700 text-right" th:text="${member.indirectCount}">0</td>
                            </tr>
                            <tr>
                                <td>Total</td>
                                <td class="fs15 fw700 text-right" th:text="${member.indirectCount} + ${member.children.size()}">0</td>
                            </tr>
                        </tbody>
                    </table>
                    <br/>
                    <br/>
                    <br/>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel" th:text="#{ratingStatus}">Estado actual de calificación</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <span class="pre-scrollable" th:utext="${snap.toString()}" th:if="${snap != null}"></span>
                    <span class="pre-scrollable" th:if="${snap == null}" th:text="${ratingStatus}">Sin Datos></span>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal" th:text="#{btnCerrar}">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
</div>
<br/>
</span>